curl --request POST \
--url https://api.devin.ai/v3/organizations/{org_id}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"prompt": "<string>",
"agent": "devin",
"bypass_approval": false,
"create_as_user_id": "<string>",
"frequency": "<string>",
"interval_count": 1,
"notify_on": "failure",
"platform": "<string>",
"playbook_id": "<string>",
"schedule_type": "recurring",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": [
"<string>"
],
"target_devin_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/schedules"
payload = {
"name": "<string>",
"prompt": "<string>",
"agent": "devin",
"bypass_approval": False,
"create_as_user_id": "<string>",
"frequency": "<string>",
"interval_count": 1,
"notify_on": "failure",
"platform": "<string>",
"playbook_id": "<string>",
"schedule_type": "recurring",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": ["<string>"],
"target_devin_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
prompt: '<string>',
agent: 'devin',
bypass_approval: false,
create_as_user_id: '<string>',
frequency: '<string>',
interval_count: 1,
notify_on: 'failure',
platform: '<string>',
playbook_id: '<string>',
schedule_type: 'recurring',
scheduled_at: '2023-11-07T05:31:56Z',
skill_ref: {plugin_identity: '<string>', skill_name: '<string>'},
slack_channel_id: '<string>',
slack_team_id: '<string>',
tags: ['<string>'],
target_devin_id: '<string>'
})
};
fetch('https://api.devin.ai/v3/organizations/{org_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v3/organizations/{org_id}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'prompt' => '<string>',
'agent' => 'devin',
'bypass_approval' => false,
'create_as_user_id' => '<string>',
'frequency' => '<string>',
'interval_count' => 1,
'notify_on' => 'failure',
'platform' => '<string>',
'playbook_id' => '<string>',
'schedule_type' => 'recurring',
'scheduled_at' => '2023-11-07T05:31:56Z',
'skill_ref' => [
'plugin_identity' => '<string>',
'skill_name' => '<string>'
],
'slack_channel_id' => '<string>',
'slack_team_id' => '<string>',
'tags' => [
'<string>'
],
'target_devin_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v3/organizations/{org_id}/schedules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"agent\": \"devin\",\n \"bypass_approval\": false,\n \"create_as_user_id\": \"<string>\",\n \"frequency\": \"<string>\",\n \"interval_count\": 1,\n \"notify_on\": \"failure\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"schedule_type\": \"recurring\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devin.ai/v3/organizations/{org_id}/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"agent\": \"devin\",\n \"bypass_approval\": false,\n \"create_as_user_id\": \"<string>\",\n \"frequency\": \"<string>\",\n \"interval_count\": 1,\n \"notify_on\": \"failure\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"schedule_type\": \"recurring\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v3/organizations/{org_id}/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"agent\": \"devin\",\n \"bypass_approval\": false,\n \"create_as_user_id\": \"<string>\",\n \"frequency\": \"<string>\",\n \"interval_count\": 1,\n \"notify_on\": \"failure\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"schedule_type\": \"recurring\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"agent": "devin",
"consecutive_failures": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"enabled": true,
"frequency": "<string>",
"last_error_at": "2023-11-07T05:31:56Z",
"last_error_message": "<string>",
"last_executed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"notify_on": "always",
"org_id": "<string>",
"playbook": {
"playbook_id": "<string>",
"title": "<string>"
},
"prompt": "<string>",
"scheduled_session_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"bypass_approval": false,
"interval_count": 1,
"last_edited_by": "<string>",
"platform": "<string>",
"schedule_type": "recurring",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": [
"<string>"
],
"target_devin_id": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Créer un planning
Créer une nouvelle session planifiée.
Obsolète. Les planifications sont remplacées par les Automatisations : créez plutôt une automatisation avec un déclencheur schedule:recurring via POST /v3/organizations/{org_id}/automations. Pour les organisations ayant migré vers les Automatisations, cet endpoint renvoie 403 ; les planifications existantes peuvent toujours être consultées, mises à jour et supprimées.
curl --request POST \
--url https://api.devin.ai/v3/organizations/{org_id}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"prompt": "<string>",
"agent": "devin",
"bypass_approval": false,
"create_as_user_id": "<string>",
"frequency": "<string>",
"interval_count": 1,
"notify_on": "failure",
"platform": "<string>",
"playbook_id": "<string>",
"schedule_type": "recurring",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": [
"<string>"
],
"target_devin_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/schedules"
payload = {
"name": "<string>",
"prompt": "<string>",
"agent": "devin",
"bypass_approval": False,
"create_as_user_id": "<string>",
"frequency": "<string>",
"interval_count": 1,
"notify_on": "failure",
"platform": "<string>",
"playbook_id": "<string>",
"schedule_type": "recurring",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": ["<string>"],
"target_devin_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
prompt: '<string>',
agent: 'devin',
bypass_approval: false,
create_as_user_id: '<string>',
frequency: '<string>',
interval_count: 1,
notify_on: 'failure',
platform: '<string>',
playbook_id: '<string>',
schedule_type: 'recurring',
scheduled_at: '2023-11-07T05:31:56Z',
skill_ref: {plugin_identity: '<string>', skill_name: '<string>'},
slack_channel_id: '<string>',
slack_team_id: '<string>',
tags: ['<string>'],
target_devin_id: '<string>'
})
};
fetch('https://api.devin.ai/v3/organizations/{org_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v3/organizations/{org_id}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'prompt' => '<string>',
'agent' => 'devin',
'bypass_approval' => false,
'create_as_user_id' => '<string>',
'frequency' => '<string>',
'interval_count' => 1,
'notify_on' => 'failure',
'platform' => '<string>',
'playbook_id' => '<string>',
'schedule_type' => 'recurring',
'scheduled_at' => '2023-11-07T05:31:56Z',
'skill_ref' => [
'plugin_identity' => '<string>',
'skill_name' => '<string>'
],
'slack_channel_id' => '<string>',
'slack_team_id' => '<string>',
'tags' => [
'<string>'
],
'target_devin_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v3/organizations/{org_id}/schedules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"agent\": \"devin\",\n \"bypass_approval\": false,\n \"create_as_user_id\": \"<string>\",\n \"frequency\": \"<string>\",\n \"interval_count\": 1,\n \"notify_on\": \"failure\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"schedule_type\": \"recurring\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devin.ai/v3/organizations/{org_id}/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"agent\": \"devin\",\n \"bypass_approval\": false,\n \"create_as_user_id\": \"<string>\",\n \"frequency\": \"<string>\",\n \"interval_count\": 1,\n \"notify_on\": \"failure\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"schedule_type\": \"recurring\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v3/organizations/{org_id}/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"prompt\": \"<string>\",\n \"agent\": \"devin\",\n \"bypass_approval\": false,\n \"create_as_user_id\": \"<string>\",\n \"frequency\": \"<string>\",\n \"interval_count\": 1,\n \"notify_on\": \"failure\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"schedule_type\": \"recurring\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"agent": "devin",
"consecutive_failures": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"enabled": true,
"frequency": "<string>",
"last_error_at": "2023-11-07T05:31:56Z",
"last_error_message": "<string>",
"last_executed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"notify_on": "always",
"org_id": "<string>",
"playbook": {
"playbook_id": "<string>",
"title": "<string>"
},
"prompt": "<string>",
"scheduled_session_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"bypass_approval": false,
"interval_count": 1,
"last_edited_by": "<string>",
"platform": "<string>",
"schedule_type": "recurring",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": [
"<string>"
],
"target_devin_id": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}schedule:recurring via POST /v3/organizations/{org_id}/automations. À partir du 24 septembre 2026, cet endpoint renverra 403 pour les organisations migrées vers les automatisations ; les organisations dont la migration est en cours conservent la création de planifications jusqu’à la fin de celle-ci.Autorisations
Nécessite un compte de service ou un jeton d’accès personnel disposant de l’autorisationManageOrgSchedules au niveau de l’organisation.
Type de planification
Le champschedule_type indique si la planification est récurrente ou ponctuelle :
recurring(par défaut) — Nécessite le champfrequencyavec une expression cronone_time— Nécessite le champscheduled_atavec une date et heure au format ISO 8601 dans le futur
Fréquence
Pour les planifications récurrentes, le champfrequency accepte une expression cron au format standard (par exemple, 0 9 * * 1-5 pour les jours ouvrés à 9 h UTC).
Date de planification
Pour les programmations uniques, le champscheduled_at accepte une date et une heure au format ISO 8601 avec fuseau horaire (par exemple, 2026-03-01T09:00:00Z). La date et l’heure doivent être postérieures au moment présent. Après son exécution, la programmation est automatiquement désactivée.
Types d’agents
| Agent | Description |
|---|---|
devin | Agent Devin standard (par défaut) |
data_analyst | Agent d’analyse de données |
agent sont rejetées avec une erreur de validation 422.
Usurpation d’identité d’utilisateur
Le paramètrecreate_as_user_id permet de créer une planification pour le compte d’un autre utilisateur. Cela nécessite :
- Le compte de service doit disposer de l’autorisation
ImpersonateOrgSessions - L’utilisateur cible doit être membre de l’organisation
- L’utilisateur cible doit disposer de l’autorisation
UseDevinSessions
Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de chemin
ID de l’organisation (préfixe : org-)
"org-abc123def456"
Corps
devin, data_analyst always, failure, never Plateforme de VM pour les sessions générées par cette planification (p. ex. 'windows'). Si elle est omise, les sessions utilisent la plateforme par défaut de l'organisation au moment du déclenchement. La valeur doit correspondre à une plateforme configurée pour l'organisation (sans distinction de casse) ; les valeurs inconnues sont rejetées avec une erreur 400 qui liste les libellés de plateforme disponibles.
recurring, one_time Skills précise utilisée pour l’exécution des sessions. À utiliser à la place de playbook_id pour les nouvelles configurations.
Show child attributes
Show child attributes
Réponse
Réponse réussie
devin, data_analyst always, failure, never Show child attributes
Show child attributes
recurring, one_time Skills précise utilisée pour l’exécution des sessions. À utiliser à la place de playbook_id pour les nouvelles configurations.
Show child attributes
Show child attributes

